classification
Title: Windows Installer Error 1722 when opting for compilation at install time
Type: Stage:
Components: Installation Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: loewis Nosy List: keldonin, loewis
Priority: release blocker Keywords: patch

Created on 2008-11-24 11:15 by keldonin, last changed 2008-12-01 09:39 by keldonin. This issue is now closed.

Files
File name Uploaded Description Edit
compileall_py.patch keldonin, 2008-11-24 11:15 Patch
Messages (3)
msg76318 - (view) Author: Eric Devolder (keldonin) Date: 2008-11-24 11:15
This error happens when opting in for compiling the scripts at
installation. (please note also that I did not selected "register
extension", but I don't think this has an impact).

Here is the text from event viewer:

Product: Python 3.0rc3 -- Error 1722. There is a problem with this
Windows Installer package. A program run as part of the setup did not
finish as expected. Contact your support personnel or package vendor. 
Action CompilePyc, location: L:\Python30\python.exe, command: -Wi
"L:\Python30\Lib\compileall.py" -f -x
bad_coding|badsyntax|site-packages|py2_ "L:\Python30\Lib" 

Running the command manually indeed crashes, because of pipe symbol
being interpretted at shell level, not Python.

Please find attached a patch on Tools\msi\msi.py that addresses the
problem (untested, I don't have VStudio )
msg76635 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-11-30 10:37
Thanks for the report. The problem was not with the quoting (this works
fine), but that test/crashers/iter.py failed to compile. Fixed in r67448.
msg76661 - (view) Author: Eric Devolder (keldonin) Date: 2008-11-30 20:10
Dear Martin,

It's my pleasure. I'm just sorry if I misled you a bit, but as I told I
haven't managed to have a full testing env yet ( although I'm close to it),
so I could not check in time if it would have fixed the bug.

Thanks for the great work.

Eric

2008/11/30 Martin v. Löwis <report@bugs.python.org>

>
> Martin v. Löwis <martin@v.loewis.de> added the comment:
>
> Thanks for the report. The problem was not with the quoting (this works
> fine), but that test/crashers/iter.py failed to compile. Fixed in r67448.
>
> ----------
> resolution:  -> fixed
> status: open -> closed
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue4407>
> _______________________________________
>
History
Date User Action Args
2008-12-01 09:39:26keldoninsetfiles: - unnamed
2008-11-30 20:10:37keldoninsetfiles: + unnamed
messages: + msg76661
2008-11-30 10:37:37loewissetstatus: open -> closed
resolution: fixed
messages: + msg76635
2008-11-24 21:37:08loewissetassignee: loewis
nosy: + loewis
2008-11-24 21:36:58loewissetpriority: release blocker
2008-11-24 11:15:13keldonincreate